﻿.qti-orientation-vertical {
    display: flex;
    flex-direction: column;
}

/*this belongs in pladroe styles, but it does not work there. fix this later
ol.p-qti-no-linefeed li >label span:first-child>p{
   display: inline;
   padding: 0px;
   margin: 1em;
   border: 0px;
}
    */
.qti-orientation-horizontal {
    display: flex;
    flex-direction: row;
}

.qti-choices-stacking-1 {
    columns: 1;
}

.qti-choices-stacking-2 {
    columns: 2;
}

.qti-choices-stacking-3 {
    columns: 3;
}

.qti-choices-stacking-4 {
    columns: 4;
}

.qti-choices-stacking-5 {
    columns: 5;
}

.qti-choice-labels-none {
    counter-reset: list;
}

.qti-choice-labels-none > li {
    list-style: none;
}

.qti-choice-labels-decimal {
    counter-reset: list;
}

    .qti-choice-labels-decimal > li {
        list-style: none;
    }

        .qti-choice-labels-decimal > li:before {
            content: counter(list, decimal);
            counter-increment: list;
        }
        .qti-choice-labels-decimal.qti-labels-suffix-period > li:before {
            content: counter(list, decimal) ". ";
            counter-increment: list;
        }
        .qti-choice-labels-decimal.qti-labels-suffix-parenthesis > li:before {
            content: counter(list, decimal) ") ";
            counter-increment: list;
        }
.qti-choice-labels-upper-alpha {
    counter-reset: list;
}

    .qti-choice-labels-upper-alpha > li {
        list-style: none;
    }
        .qti-choice-labels-upper-alpha > li:before {
            content: counter(list, upper-alpha);
            counter-increment: list;
        }
        .qti-choice-labels-upper-alpha.qti-labels-suffix-period > li:before {
            content: counter(list, upper-alpha) ". ";
            counter-increment: list;
        }
        .qti-choice-labels-upper-alpha.qti-labels-suffix-parenthesis > li:before {
            content: counter(list, upper-alpha) ") ";
            counter-increment: list;
        }
.qti-choice-labels-lower-alpha {
    counter-reset: list;
}

    .qti-choice-labels-lower-alpha > li {
        list-style: none;
    }
        .qti-choice-labels-lower-alpha > li:before {
            content: counter(list, lower-alpha);
            counter-increment: list;
        }
        .qti-choice-labels-lower-alpha.qti-labels-suffix-period > li:before {
            content: counter(list, lower-alpha) ". ";
            counter-increment: list;
        }
        .qti-choice-labels-lower-alpha.qti-labels-suffix-parenthesis > li:before {
            content: counter(list, lower-alpha) ") ";
            counter-increment: list;
        }
